(* uiLabel.ml     Wrapper for Cocoa Touch UILabel
 *
 * Copyright (c) 2016 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 *)

external _setText_ : nativeint -> string -> unit =
        "UILabel_setText_"
external _setBounds_ : nativeint -> float * float * float * float -> unit =
        "UILabel_setBounds_"
external _setTransform_ : nativeint -> CgAffineTransform.t -> unit =
        "UILabel_setTransform_"

class t robjcv =
    object (self)
    inherit Wrapper.t robjcv

    method setBounds' b = _setBounds_ self#contents b
    method setTransform' t = _setTransform_ self#contents t
    method setText' s = _setText_ self#contents s
    end

let _ =
    let wrap robjcv = new t robjcv in
    Callback.register "UiLabel.wrap" wrap
